Actions

Unit Tests For The Platform

From Joomla! Documentation

Revision as of 04:19, 5 April 2011 by Elin (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

This is a very early stage document about running unit tests on the platform.

To run tests on the platform you will need to install PHPUnit 3.5. You may also need to update your version of PEAR to the current version. If you are using Ubuntu as your OS you will need to be at minimum on version 10.10 to update to PEAR's current package using the standard packages in the software center. You will also need to have xdebug with the current version installed.

PHP must be at least version 5.2.7 but 5.3.3 is recommended.

To install, go to the command line and type:

pear channel-discover pear.phpunit.de pear channel-discover components.ez.no pear channel-discover pear.symfony-project.com

pear install -f --alldeps phpunit/PHPUnit